## ryu 3.24

=== ryu/tests/packet_data_generator2/Makefile ===
# Copyright (C) 2015 Nippon Telegraph and Telephone Corporation.
# Copyright (C) 2015 YAMAMOTO Takashi <yamamoto at valinux co jp>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# OVS: openvswitch installed directory  (used to look for libraries)
# OVS_SRC: openvswitch source directory

OVS?=${HOME}/ovs
OVS_SRC?=/disks/774373a2-e180-11e3-9fa1-08606e7f74e7/git/openvswitch

CPPFLAGS+=-I${OVS}/include -I${OVS_SRC}
LDFLAGS+=-L${OVS}/lib -Wl,-R${OVS}/lib -lofproto -lopenvswitch

PROG=gen
NOMAN=

all: generate

generate: ${PROG}
	${_MKMSG} "generate packet_data"
	cd ${.CURDIR} && ${.OBJDIR}/${PROG}

.include <bsd.prog.mk>

## ryu 3.14

=== debian/changelog ===
ryu (3.14-1) unstable; urgency=medium

  * Imported Upstream version 3.14
  * Updated path in d/copyright
  * Bump standards to 3.9.6 
    - no changes needed

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 22 Oct 2014 09:37:48 +0200

ryu (3.12-1) unstable; urgency=medium

  * Initial release (Closes: #758509)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 18 Aug 2014 16:58:52 +0200

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9), python-all (>= 2.6), python-sphinx, sphinx-common
Build-Depends-Indep:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.3.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 python-setuptools,
 python-pbr
Standards-Version: 3.9.6
Homepage: http://osrg.github.io/ryu/
Vcs-Git: git://anonscm.debian.org/collab-maint/ryu.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ryu.git
X-Python-Version: >= 2.6

Package: python-ryu
Architecture: all
Section: python
Depends:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.3.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ryu-doc
Provides: ${python:Provides}
X-Python-Version: ${python:Versions}
Description: software defined networking framework (Python libs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python library.

Package: ryu-bin
Architecture: all
Depends:
 python-ryu,
 ${misc:Depends},
 ${python:Depends},
Description: software defined networking framework (ryu binary)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends} 
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_installman:
	cd doc; \
	make man; \
	cp build/man/* ../debian/
	dh_installman

override_dh_auto_build:
	dh_auto_build
	mkdir -p debian/html
	cd doc; \
	make html; \
	cp -r build/html/* ../debian/html/

override_dh_installdocs:
	dh_installdocs
	dh_sphinxdoc

override_dh_installinit:
	dh_installinit --no-start --name=ryu

override_dh_installlogrotate:
	dh_installlogrotate --name=ryu

override_dh_auto_clean:
	rm -rf debian/html doc/build 
	rm -rf ryu.egg-info/
	rm -rf debian/ryu-manager.8 debian/ryu.8
	dh_auto_clean

=== debian/watch ===
version=3
https://github.com/osrg/ryu/releases .*/archive/v(\d[\d\.]+)\.tar\.gz

## ryu 3.24

=== debian/changelog ===
ryu (3.24-1ubuntu2~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Sep 2015 14:49:36 +0000

ryu (3.24-1ubuntu2) wily; urgency=medium

  * d/p/fix-i386-test-failures.patch: Fixup misc i386 issues due to
    differences in use of long and int depending on architecture in use.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Sep 2015 15:19:31 +0100

ryu (3.24-1ubuntu1) wily; urgency=medium

  * d/p/uncap-pbr-version.patch: Drop requirement of pbr<1.0.
  * d/rules: Run tests during build.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Sep 2015 17:38:12 +0100

ryu (3.24-1) unstable; urgency=medium

  * Imported Upstream version 3.24 (Closes: #794101)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 09 Aug 2015 17:45:44 +0200

ryu (3.23-2) unstable; urgency=medium

  * d/rules: doc build date taken from changelog

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 30 Jul 2015 20:55:33 +0200

ryu (3.23-1) unstable; urgency=medium

  * Imported Upstream version 3.23

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Thu, 23 Jul 2015 11:27:02 +0200

ryu (3.19-1) unstable; urgency=medium

  * Imported Upstream version 3.19
  * d/control: dh-python added to build deps

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 22 Mar 2015 19:37:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
 	dh $@ --with python2
 
 override_dh_installman:
 	cd doc; \
-	make man; \
+	make man SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" ;\
 	cp build/man/* ../debian/
 	dh_installman
 
@@ -31,3 +34,6 @@
 	rm -rf ryu.egg-info/
 	rm -rf debian/ryu-manager.8 debian/ryu.8
 	dh_auto_clean
+
+override_dh_auto_test:
+	./run_tests.sh -N -P

## ryu 3.30%2Bdfsg1

=== debian/changelog ===
ryu (3.30+dfsg1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 15:57:51 +0000

ryu (3.30+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 20:14:30 +0000

ryu (3.30+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental until Mitaka is out.
  * Moved the package to PKG OpenStack:
    - Updated VCS fields.
    - Switched to git tag based workflow instead of pristine-tar (updated
      gbp.conf, etc.).
    - Added build-depends on openstack-pkg-tools.
    - Added export OSLO_PACKAGE_VERSION
    - Added upstream VCS URL in debian/rules.
    - Includes pkgos.make in debian/rules.
    - Now using +dfsg1 suffix from upstream, showing we're removing their
      debian folder. Updated watch file accordingly.
  * Added myself as Uploaders:.
  * Removed useless X-Python-Version: in python-ryu.
  * Added myself in debian/copyright.
  * Added explicit --buildsystem=python_distutils for dh.
  * Switched the ryu.init to ryu.init.in format from openstack-pkg-tools, so
    that ryu supports sysv-rc, upstart and systemd now:
    - rm -f debian/*.init debian/*.upstart debian/*.service in d/rules
    - added --with systemd
    - build-depends on dh-systemd.
    - scraped most of the sysv-rc init script, enriched the declarative part.
    - trashed the debian/*.service unit file, now generated automatically.
  * Added copytruncate in the ryu logrotate file.
  * Standards-Version: 3.9.7 (no change).
  * Removed ryu-bin.dirs, created on daemon startup.
  * Added ryu-bin.postrm to purge /var/log/ryu and /var/lib/ryu on purge.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 23:26:51 +0100

ryu (3.26-1) unstable; urgency=medium

  * Imported Upstream version 3.26
  * d/patches: removed patch fixing pbr version in setup.py

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 02 Oct 2015 14:40:35 +0200

ryu (3.24-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ran wrap-and-sort -t -a.
  * Fixed wrong location for python-setuptools and python-pbr: they should be
    in Build-Depends and not Build-Depends-Indep as they are needed for clean.
  * Fixed wrong version of pbr in setup.py: the restriction is simply wrong.
  * Removed versions in (build-)depends when already satisfied in Jessie &
    Trusty.
  * Added running of test suite: now build-depends-indep on nose, formencode,
    mock.
  * Make sure dh_clean doesn't download by setting http{s,}_proxy.
  * Drops now useless X-Python-Version: >= 2.6 (Jessie has 2.7 only).
  * Using sphinx-build directly instead of the provided Makefile.
  * Added (= ${binary:Version}) in ryu-bin python-ryu depends:.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/s/options, do not
    clean egg-info on clean.
  * Added overrides of dh commands we don't need to run.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 10:10:59 +0200

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               sphinx-common,
Build-Depends-Indep: python-eventlet,
                     python-formencode,
                     python-lxml,
                     python-mock,
                     python-msgpack,
                     python-netaddr,
                     python-nose,
                     python-oslo.config,
                     python-paramiko,
                     python-routes,
                     python-six,
                     python-webob,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu
Architecture: all
Section: python
Depends: python-eventlet,
         python-lxml,
         python-msgpack,
         python-netaddr,
         python-oslo.config,
         python-paramiko,
         python-routes,
         python-six,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu-doc,
Provides: ${python:Provides},
Description: software defined networking framework - Python 2.7
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 2.7 module.

Package: ryu-bin
Architecture: all
Depends: python-ryu (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

## ryu 3.30+dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

export PYTHONPATH = $PYTHONPATH:..

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ryu.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ryu.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ryu"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ryu"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/osrg/ryu.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python ryu/tests/run_tests.py
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd doc; \
	make man SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" ;\
	cp build/man/* ../debian/
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
	dh_sphinxdoc
endif

override_dh_installinit:
	dh_installinit --no-start --name=ryu

override_dh_installlogrotate:
	dh_installlogrotate --name=ryu

override_dh_clean:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
	rm -f debian/*.init debian/*.upstart debian/*.service

override_dh_auto_clean:
	rm -rf debian/ryu-manager.8 debian/ryu.8
	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installgsettings:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/osrg/ryu/releases .*/archive/v(\d[\d\.]+)\.tar\.gz

## ryu 4.4+dfsg1

=== debian/changelog ===
ryu (4.4+dfsg1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:58 +0200

ryu (4.4+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Remove ryu/contrib/ovs from debian/copyright (folder is gone).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 16:13:52 +0200

ryu (3.30+dfsg1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Add build-depends-indep on python-sphinx-rtd-theme. (Closes: #829024)

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 09:58:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/osrg/ryu.git
+UPSTREAM_GIT := https://github.com/osrg/ryu.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## ryu 4.5+dfsg1

=== debian/changelog ===
ryu (4.5+dfsg1-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton:
    - d/p/*: Drop all patches, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Sep 2016 22:09:45 +0100

ryu (3.30+dfsg1-3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
      ryu user instead of root.
    - d/python3-ryu.postinst: Prefer Python 3 binaries if both python
      module versions are installed.
    - d/rules: Tidy package clean.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Aug 2016 17:23:49 +0100

ryu (3.30+dfsg1-1ubuntu4) yakkety; urgency=medium

  * d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
    ryu user instead of root.
  * d/python3-ryu.postinst: Prefer Python 3 binaries if both python
    module versions are installed.
  * d/rules: Tidy package clean.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jul 2016 09:08:38 +0100

ryu (3.30+dfsg1-1ubuntu3) yakkety; urgency=medium

  * Add python3 support, default ryu-bin to python3:
    - d/p/py3-compat.patch: Python3 compatibility for ovs contrib module.
    - d/control,rules: Add python3-ryu package with alternatives
      configuration for ryu and ryu-manager.
    - d/control: Prefer python3-ryu for ryu-bin package.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jul 2016 19:02:05 +0100

ryu (3.30+dfsg1-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix-i386-test-failures.patch: Add i386 long support to
    ryu/lib/ip.py and ryu/lib/ofctl_utils.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Apr 2016 15:40:46 -0400

ryu (3.30+dfsg1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-i386-test-failures.patch:
      + Fixup misc i386 issues due to differences in use
        of long and int depending on architecture in use.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 16:57:09 -0400

ryu (3.26-1ubuntu2) xenial; urgency=medium

  * d/p/fix-i386-test-failures.patch: Patch i386 hexify() bug in
    ryu/ofproto/ofproto_parser.py.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Feb 2016 14:25:25 +0000

ryu (3.26-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-i386-test-failures.patch:
      + Fixup misc i386 issues due to differences in use
        of long and int depending on architecture in use.
  * Drop following changes:
    - debian/control:
      + No need to force versioning Build-Depends.
    - debian/patches/uncap-pbr-version.patch:
      + Fixed upstream.
    - debian/rules:
      + Test are already enabled in Debian.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 01 Jan 2016 21:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: ryu
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                dh-systemd,
-               dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
+               python3-all,
+               python3-pbr,
+               python3-setuptools,
                sphinx-common,
 Build-Depends-Indep: python-eventlet,
                      python-formencode,
@@ -25,7 +30,19 @@
                      python-routes,
                      python-six,
                      python-webob,
-Standards-Version: 3.9.7
+                     python3-eventlet,
+                     python3-formencode,
+                     python3-lxml,
+                     python3-mock,
+                     python3-msgpack,
+                     python3-netaddr,
+                     python3-nose,
+                     python3-oslo.config,
+                     python3-paramiko,
+                     python3-routes,
+                     python3-six,
+                     python3-webob,
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
 Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
 Homepage: http://osrg.github.io/ryu/
@@ -46,6 +63,8 @@
          ${python:Depends},
 Suggests: python-ryu-doc,
 Provides: ${python:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
 Description: software defined networking framework - Python 2.7
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make
@@ -56,11 +75,39 @@
  .
  This package provides the Python 2.7 module.
 
+Package: python3-ryu
+Architecture: all
+Section: python
+Depends: python3-eventlet,
+         python3-lxml,
+         python3-msgpack,
+         python3-netaddr,
+         python3-oslo.config,
+         python3-paramiko,
+         python3-routes,
+         python3-six,
+         python3-webob,
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-ryu-doc,
+Provides: ${python3:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
+Description: software defined networking framework - Python 3
+ Ryu is a component-based software defined networking framework.
+ Ryu provides software components with well defined API that make
+ it easy for developers to create new network management and control
+ applications. Ryu supports various protocols for managing network
+ devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
+ Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
+ .
+ This package provides the Python 3 module.
+
 Package: ryu-bin
 Architecture: all
-Depends: python-ryu (= ${binary:Version}),
+Depends: adduser,
+         python3-ryu (= ${binary:Version}) | python-ryu (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
 Description: software defined networking framework - ryu binary
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,12 @@
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python ryu/tests/run_tests.py
+	PYTHONPATH=. python3 ryu/tests/run_tests.py
 endif
 
 override_dh_installman:
@@ -33,6 +34,21 @@
 	dh_sphinxdoc
 endif
 
+override_dh_auto_install:
+	set -e && for pyvers in $(PYTHONS); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python-ryu; \
+    done
+	set -e && for pyvers in $(PYTHON3S); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python3-ryu; \
+    done
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu-manager
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu-manager
+	rm -rf $(CURDIR)/debian/python3-ryu/usr/etc $(CURDIR)/debian/python-ryu/usr/etc
+
 override_dh_installinit:
 	dh_installinit --no-start --name=ryu
 
@@ -41,11 +57,11 @@
 
 override_dh_clean:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
-	rm -f debian/*.init debian/*.upstart debian/*.service
+	rm -rf debian/*.init debian/*.upstart debian/*.service build doc/build
 
 override_dh_auto_clean:
 	rm -rf debian/ryu-manager.8 debian/ryu.8
-	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
 
 # Commands not to run
 override_dh_installcatalogs:

## ryu 4.9

=== debian/changelog ===
ryu (4.9-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Aug 2017 15:35:58 +0200

ryu (4.4+dfsg1-2) UNRELEASED; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:17:58 +0200

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends: debhelper (>= 10),
               dh-systemd,
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               sphinx-common,
Build-Depends-Indep: python-eventlet,
                     python-formencode,
                     python-lxml,
                     python-mock,
                     python-msgpack,
                     python-ncclient,
                     python-tinyrpc,
                     python-openvswitch,
                     python-netaddr,
                     python-nose,
                     python-oslo.config,
                     python-paramiko,
                     python-routes,
                     python-six,
                     python-sphinx-rtd-theme,
                     python-webob,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu
Architecture: all
Section: python
Depends: python-eventlet,
         python-lxml,
         python-msgpack,
         python-netaddr,
         python-ncclient,
         python-openvswitch,
         python-tinyrpc,
         python-oslo.config,
         python-paramiko,
         python-routes,
         python-six,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ryu-doc,
Provides: ${python:Provides},
Description: software defined networking framework - Python 2.7
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 2.7 module.

Package: ryu-bin
Architecture: all
Depends: python-ryu (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${python:Depends},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/osrg/ryu.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=.:./ryu/contrib python ryu/tests/run_tests.py
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd doc; \
	make man SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" ;\
	cp build/man/* ../debian/
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
	dh_sphinxdoc
endif

override_dh_installinit:
	dh_installinit --no-start --name=ryu

override_dh_installlogrotate:
	dh_installlogrotate --name=ryu

override_dh_clean:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf doc/build
	rm -rf build

override_dh_auto_clean:
	rm -rf debian/ryu-manager.8 debian/ryu.8
	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installgsettings:

## ryu 4.15

=== debian/changelog ===
ryu (4.15-0ubuntu2) bionic; urgency=medium

  * d/p/test_rpc-Adopt-to-msgpack-python-0.50.patch: Cherry-picked from
    upstream to fix test failure "test_0_call_bytearray() did not raise
    TypeError".

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Apr 2018 16:03:14 -0400

ryu (4.15-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/p/no-pip.patch, d/control: Drop the use of pip by unit tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Aug 2017 16:47:51 -0400

ryu (4.9-0ubuntu2) zesty; urgency=medium

  * debian/rules: Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 10:24:32 -0500

ryu (4.9-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * d/control: Add python-openvswitch and python-tinyrpc

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 22:22:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,54 @@
 Source: ryu
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
+               dh-python,
                dh-systemd,
-               dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
+               python-sphinx-rtd-theme,
+               python3-all,
+               python3-pbr,
+               python3-setuptools,
                sphinx-common,
 Build-Depends-Indep: python-eventlet,
                      python-formencode,
                      python-lxml,
                      python-mock,
                      python-msgpack,
-                     python-ncclient,
-                     python-tinyrpc,
-                     python-openvswitch,
                      python-netaddr,
                      python-nose,
                      python-oslo.config,
                      python-paramiko,
                      python-routes,
+                     python-testtools,
+                     python-tinyrpc,
+                     python-openvswitch,
                      python-six,
-                     python-sphinx-rtd-theme,
                      python-webob,
+                     python3-eventlet,
+                     python3-formencode,
+                     python3-lxml,
+                     python3-mock,
+                     python3-msgpack,
+                     python3-netaddr,
+                     python3-nose,
+                     python3-oslo.config,
+                     python3-paramiko,
+                     python3-routes,
+                     python3-six,
+                     python3-testtools,
+                     python3-webob,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/ryu.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/ryu.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ryu
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ryu
 Homepage: http://osrg.github.io/ryu/
 
 Package: python-ryu
@@ -41,18 +58,19 @@
          python-lxml,
          python-msgpack,
          python-netaddr,
-         python-ncclient,
-         python-openvswitch,
-         python-tinyrpc,
          python-oslo.config,
          python-paramiko,
          python-routes,
+         python-openvswitch,
+         python-tinyrpc,
          python-six,
          python-webob,
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-ryu-doc,
 Provides: ${python:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
 Description: software defined networking framework - Python 2.7
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make
@@ -63,12 +81,39 @@
  .
  This package provides the Python 2.7 module.
 
+Package: python3-ryu
+Architecture: all
+Section: python
+Depends: python3-eventlet,
+         python3-lxml,
+         python3-msgpack,
+         python3-netaddr,
+         python3-oslo.config,
+         python3-paramiko,
+         python3-routes,
+         python3-six,
+         python3-webob,
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-ryu-doc,
+Provides: ${python3:Provides},
+Breaks: ryu-bin (<< 3.30+dfsg1-4~),
+Replaces: ryu-bin (<< 3.30+dfsg1-4~),
+Description: software defined networking framework - Python 3
+ Ryu is a component-based software defined networking framework.
+ Ryu provides software components with well defined API that make
+ it easy for developers to create new network management and control
+ applications. Ryu supports various protocols for managing network
+ devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
+ Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
+ .
+ This package provides the Python 3 module.
+
 Package: ryu-bin
 Architecture: all
-Depends: python-ryu (= ${binary:Version}),
-         lsb-base,
+Depends: adduser,
+         python3-ryu (= ${binary:Version}) | python-ryu (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
 Description: software defined networking framework - ryu binary
  Ryu is a component-based software defined networking framework.
  Ryu provides software components with well defined API that make

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,12 @@
 BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=.:./ryu/contrib python ryu/tests/run_tests.py
+	PYTHONPATH=. python ryu/tests/run_tests.py
+#	PYTHONPATH=. python3 ryu/tests/run_tests.py
 endif
 
 override_dh_installman:
@@ -29,9 +30,24 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
+	#PYTHONPATH=. sphinx-build -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
 	dh_sphinxdoc
 endif
+
+override_dh_auto_install:
+	set -e && for pyvers in $(PYTHONS); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python-ryu; \
+    done
+	set -e && for pyvers in $(PYTHON3S); do \
+        python$$pyvers setup.py install --install-layout=deb \
+            --root $(CURDIR)/debian/python3-ryu; \
+    done
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu
+	mv $(CURDIR)/debian/python-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python-ryu/usr/bin/python2-ryu-manager
+	mv $(CURDIR)/debian/python3-ryu/usr/bin/ryu-manager $(CURDIR)/debian/python3-ryu/usr/bin/python3-ryu-manager
+	rm -rf $(CURDIR)/debian/python3-ryu/usr/etc $(CURDIR)/debian/python-ryu/usr/etc
 
 override_dh_installinit:
 	dh_installinit --no-start --name=ryu
@@ -41,13 +57,11 @@
 
 override_dh_clean:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
-	rm -f debian/*.init debian/*.upstart debian/*.service
-	rm -rf doc/build
-	rm -rf build
+	rm -rf debian/*.init debian/*.upstart debian/*.service build doc/build
 
 override_dh_auto_clean:
 	rm -rf debian/ryu-manager.8 debian/ryu.8
-	#http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_clean
 
 # Commands not to run
 override_dh_installcatalogs:
